> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank Accounts

> By consuming this endpoint you can retrieve the details, status and IDs of your registered accounts. The ID of the chosen account is necessary to place your order. Before doing so, please make sure the account status is "accepted"**.**

Log in to our front-end interface to register a new bank account.

#### Request

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
| clientID | URL | Yes | Include your assigned **ID** in the URL, obtainable through the **Get infoClient** endpoint. |

#### Response

The response for this request is a JSON object representing the account details.

|  |  |
| --- | --- |
| id | This is a unique identifier for each bank account registered. |
| status | This status corresponds to the status determined after the registration and compliance review have been completed. To operate with this account, it must appear as "accepted". |
| accountHolderName | This is the name appearing in your bank certificate. It should be the same as your company name, since we are operating through a B2B service model. |
| accountNickname | This is a personalized name you set when registering your account. It helps to differentiate better between your registered accounts. |
| accountNumber | This is the account number showing in your bank certificate. Some banking entities include more than one number in the document, therefore it is important to confirm which would be the correct number for deposit depending on the conditions. |
| accountType | This is the account type indicated in your bank certificate. It can be either "ahorros" or "corriente". Please, make sure the type is selected correctly when doing your account registration. |
| bank | This is your account's banking entity. Please, make sure the bank is selected correctly when doing your account registration. |
| country | This is the country where your bank account was issued. |
| registerDate | This is the date when you registered your bank account with us. |
| userID | The unique identifier of the account owner. It should be the same as your assigned id, since we are operating through a B2B service model. |



## OpenAPI

````yaml /business/openapi.json get /api/accounts/{clientId}
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders between fiat and
    stablecoins for your own accounts and wallets.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Ramp Orders
  - name: Webhooks
paths:
  /api/accounts/{clientId}:
    get:
      tags:
        - Accounts
      summary: Get Bank Accounts
      description: >-
        By consuming this endpoint you can retrieve the details, status and IDs
        of your registered accounts. The ID of the chosen account is necessary
        to place your order. Before doing so, please make sure the account
        status is "accepted"**.**


        Log in to our front-end interface to register a new bank account.


        #### Request


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | The access token, valid for 5 minutes,
        is used to authenticate requests to other endpoints. |

        | clientID | URL | Yes | Include your assigned **ID** in the URL,
        obtainable through the **Get infoClient** endpoint. |


        #### Response


        The response for this request is a JSON object representing the account
        details.


        |  |  |

        | --- | --- |

        | id | This is a unique identifier for each bank account registered. |

        | status | This status corresponds to the status determined after the
        registration and compliance review have been completed. To operate with
        this account, it must appear as "accepted". |

        | accountHolderName | This is the name appearing in your bank
        certificate. It should be the same as your company name, since we are
        operating through a B2B service model. |

        | accountNickname | This is a personalized name you set when registering
        your account. It helps to differentiate better between your registered
        accounts. |

        | accountNumber | This is the account number showing in your bank
        certificate. Some banking entities include more than one number in the
        document, therefore it is important to confirm which would be the
        correct number for deposit depending on the conditions. |

        | accountType | This is the account type indicated in your bank
        certificate. It can be either "ahorros" or "corriente". Please, make
        sure the type is selected correctly when doing your account
        registration. |

        | bank | This is your account's banking entity. Please, make sure the
        bank is selected correctly when doing your account registration. |

        | country | This is the country where your bank account was issued. |

        | registerDate | This is the date when you registered your bank account
        with us. |

        | userID | The unique identifier of the account owner. It should be the
        same as your assigned id, since we are operating through a B2B service
        model. |
      operationId: get-bank-accounts
      parameters:
        - name: clientId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    accountHolderName:
                      type: string
                    accountNickname:
                      type: string
                    accountNumber:
                      type: string
                    accountType:
                      type: string
                    bank:
                      type: object
                      properties:
                        name:
                          type: string
                    countryFiat:
                      type: object
                      properties:
                        symbolFiat:
                          type: string
                        countryId:
                          type: string
                    metadata:
                      type: array
                      items: {}
                    status:
                      type: string
                    registerDate:
                      type: string
                    userId:
                      type: string
              examples:
                api-accounts:
                  summary: api/accounts
                  value:
                    - id: 0601cb0f-7b99-4d04-9b56-d0524a8f281d
                      accountHolderName: Test Account 2
                      accountNickname: Test Account 2
                      accountNumber: '234565432345'
                      accountType: ahorros
                      bank:
                        name: COLTEFINANCIERA
                      countryFiat:
                        symbolFiat: COP
                        countryId: '8'
                      metadata: []
                      status: in_review
                      registerDate: '2024-04-25 21:36:29.846812'
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                    - id: e3569aa4-b0f5-4e24-85df-f7708b855db8
                      accountHolderName: Test Account
                      accountNickname: Test Account
                      accountNumber: '12242342'
                      accountType: ahorros
                      bank:
                        name: Bancolombia
                      countryFiat:
                        symbolFiat: COP
                        countryId: '8'
                      metadata: []
                      status: accepted
                      registerDate: '2024-07-16 15:57:39.679660'
                      userId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````